mdbtools: use alternate glibtool patch

This patch has been sent upstream.
master
Adam Vandenberg 2012-06-27 09:44:06 -07:00
parent 2aaddf3ef3
commit 46024aec36
1 changed files with 30 additions and 15 deletions

View File

@ -15,6 +15,8 @@ class Mdbtools < Formula
end
# Use glibtoolize, remove unknown linker flags
# glibtoolize patch sent upstream:
# https://github.com/brianb/mdbtools/pull/10
def patches
DATA
end
@ -30,31 +32,44 @@ end
__END__
diff --git a/autogen.sh b/autogen.sh
index 0d07ee5..1b85a3b 100755
index 0d07ee5..1ae1923 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -19,10 +19,10 @@ DIE=0
@@ -18,14 +18,20 @@ DIE=0
DIE=1
}
(grep "^A[CM]_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
-(grep "^A[CM]_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
- (libtool --version) < /dev/null > /dev/null 2>&1 || {
+ (glibtool --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo
- echo "**Error**: You must have \`libtool' installed."
- echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.2d.tar.gz"
+ echo "**Error**: You must have \`glibtool' installed."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/glibtool-1.2d.tar.gz"
echo "(or a newer version if it is available)"
DIE=1
}
@@ -128,8 +128,8 @@ do
echo "Running aclocal $aclocalinclude ..."
- echo "(or a newer version if it is available)"
- DIE=1
- }
+grep "^A[CM]_PROG_LIBTOOL" configure.in >/dev/null && {
+ if which libtoolize && (libtooloze --version) < /dev/null > /dev/null 2>&1; then
+ LIBTOOLIZE=libtoolize
+ else
+ if which glibtoolize && (glibtoolize --version) < /dev/null > /dev/null 2>&1; then
+ LIBTOOLIZE=glibtoolize
+ else
+ echo
+ echo "**Error**: You must have \`libtool' installed."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.2d.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+ fi
+ fi
}
grep "^AM_GNU_GETTEXT" $srcdir/configure.in >/dev/null && {
@@ -129,7 +135,7 @@ do
aclocal $aclocalinclude
if grep "^A[CM]_PROG_LIBTOOL" configure.in >/dev/null; then
- echo "Running libtoolize..."
echo "Running libtoolize..."
- libtoolize --force --copy
+ echo "Running glibtoolize..."
+ glibtoolize --force --copy
+ ${LIBTOOLIZE} --force --copy
fi
if grep "^A[CM]_CONFIG_HEADER" configure.in >/dev/null; then
echo "Running autoheader..."